View Issue Details

IDProjectCategoryView StatusLast Update
0000938luatexfeature requestpublic2016-03-02 15:04
ReporterHans HagenAssigned ToHans Hagen 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version0.90.0Fixed in Version0.90.0 
Summary0000938: print with explicit catcode
Descriptionfollow up on questionbny david on luatex list

tex.cprint(catcode,string,..)

(so that one can make a macro doing it the same at the tex end)

prints a string or more using the given catcode for all character (instead of a table)

analogue to:

\directlua{%
local cct = nil
local chr = nil
function UcharcatLua()
   chr = newtoken.scan_int()
   cct = tex.getcatcode(chr)
   tex.setcatcode(chr,newtoken.scan_int())
   tex.sprint(unicode.utf8.char(chr),"\\directlua{UcharcatLuaFollowup()}")
end
function UcharcatLuaFollowup()
   tex.setcatcode(chr,cct)
end
}
\def\Ucharcat{\directlua{UcharcatLua()}}

A:\the\catcode65:\Ucharcat 65 11:A:\the\catcode65\par
A:\the\catcode65:\Ucharcat 65 5:A:\the\catcode65\par
A:\the\catcode65:\Ucharcat 65 11:A:\the\catcode65\par


TagsNo tags attached.

Activities

Hans Hagen

2016-03-02 15:04

manager   ~0001583

tex.cprint

Issue History

Date Modified Username Field Change
2015-05-23 01:04 Hans Hagen New Issue
2015-05-23 01:04 Hans Hagen Status new => assigned
2015-05-23 01:04 Hans Hagen Assigned To => Hans Hagen
2015-11-10 13:21 Hans Hagen Target Version => 0.90.0
2016-03-02 15:04 Hans Hagen Note Added: 0001583
2016-03-02 15:04 Hans Hagen Status assigned => closed
2016-03-02 15:04 Hans Hagen Resolution open => fixed
2016-03-02 15:04 Hans Hagen Fixed in Version => 0.90.0